@charset "utf-8";
@import "../../_variables.sass";

// fill the wrapper
.chart {
  width: 100%;
  height: 100%;
}

//background grid
.recharts-cartesian-axis,
.recharts-cartesian-grid-horizontal line:first-child {
  stroke: $primary;
  stroke-width: 2px;
  stroke-linecap: butt;
  stroke-dasharray: 0;
  .thumbnail & {
    stroke-width: .1rem;
  }
}

// ticks
.recharts-cartesian-axis-tick {
  font-family: $family-primary !important;
  font-size: $size-7;
  .thumbnail & {
    font-size: $size-8;
  }
  .recharts-cartesian-axis-tick-value {
  fill: $grey-dark;
  }
}

// axis
.recharts-xAxis {
  .recharts-cartesian-axis-ticks {
    transform: translateY(.5rem);
    .thumbnail & {
      transform: translateY(0.4rem);
    }
  }
  .recharts-cartesian-axis-tick-line {
  display: none;
  }
}

.recharts-yAxis line {
  visibility: hidden;
}

.recharts-legend-item {
  display: inline-block;
  cursor: pointer;
  padding: .125rem .8rem .125rem .625rem ;
  transition: all $speed $easing;
  border: 1px solid transparent;
  &:hover {
    border: 1px solid $grey-dark;
    .recharts-legend-item-text {
      color: $black-ter;
    }
  }

  .recharts-legend-item-text {
    margin-left: .25rem;
    color: $primary;
    font-size: $size-7;
  }
   .thumbnail & {
    display: none;
  }
}

.recharts-legend-item.is-exporting {
  border: none;
}

// line and bar chart expectation borders
.bordered path.recharts-symbols,
.recharts-bar-rectangle path.expectation {
  stroke-width: 1px;
  stroke: $grey-dark;
  stroke-dasharray: 4 4;
  stroke-dashoffset: 100;
  .thumbnail & {
    stroke: $grey-light;
    stroke-dasharray: 3 3;
  }
}

.recharts-label {
  font-family: $family-primary;
  font-size: $size-7;
  fill: $grey-darker;
  .thumbnail & {
    font-size: $size-8;
  }
}

